%global mainver 6.9.7
%global postver 1
%global version %{mainver}%{?postver:.%postver}

Name:		oniguruma
Version:	%{version}
Release:	1%{?dist}
Summary:	Regular expressions library

License:	BSD
URL:		https://github.com/kkos/oniguruma/
Source0:	https://github.com/kkos/oniguruma/releases/download/v%{version}/onig-%{version}.tar.gz

%description
Oniguruma is a regular expressions library.
The characteristics of this library is that different character encoding
for every regular expression object can be specified.
(supported APIs: GNU regex, POSIX and Oniguruma native)


%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n onig-%{mainver}
%{__sed} -i.multilib -e 's|-L@libdir@||' onig-config.in

%build
# This package fails its testsuite when compiled with LTO, but the real problem
# is that it ends up mixing and matching regexp bits between itself and glibc.
# Disable LTO
%define _lto_cflags %{nil}

%configure \
        --enable-posix-api \
        --enable-binary-compatible-posix-api \
        --disable-silent-rules \
        --disable-static \
        --with-rubydir=%{_bindir}
%make_build


%install
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -c -p"
find $RPM_BUILD_ROOT -name '*.la' \
	-exec %{__rm} -f {} ';'

%check
%{__make} check

%ldconfig_scriptlets


%files
%defattr(-,root,root,-)
%doc	AUTHORS
%license	COPYING
%doc	HISTORY
%doc	README.md
%doc	index.html
%lang(ja)	%doc	README_japanese
%lang(ja)	%doc	index_ja.html

%{_libdir}/libonig.so.5*

%files devel
%defattr(-,root,root,-)
%doc    doc/API
%doc    doc/CALLOUTS.API
%doc    doc/CALLOUTS.BUILTIN
%doc    doc/FAQ
%doc    doc/RE
%doc    doc/SYNTAX.md
%doc    doc/UNICODE_PROPERTIES
%lang(ja)       %doc    doc/API.ja
%lang(ja)       %doc    doc/CALLOUTS.API.ja
%lang(ja)       %doc    doc/CALLOUTS.BUILTIN.ja
%lang(ja)       %doc    doc/FAQ.ja
%lang(ja)       %doc    doc/RE.ja

%{_bindir}/onig-config

%{_libdir}/libonig.so
%{_includedir}/onig*.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Jun 21 2021 Satoe Imaishi <simaishi@redhat.com> - 6.9.7.1-1
- 6.9.7.1-1 build

* Mon Apr 26 2021 Satoe Imaishi <simaishi@redhat.com> - 6.9.6-1
- Initial package

